{% extends 'base.html' %}
{% load static %}

{% block title %}Рейс: {{ object.name }}{% endblock title %}

{% block main %}
<div class="wrapper">
    {% include 'sidebar.html' %}
    <div id="content-page" class="content-page">
        {% include 'navbar.html' %}
        <div class="container-fluid">
            <div class="row">
                <div class="col-sm-12">
                    <div class="iq-card">
                        <div class="iq-card-body">
                            <div class="row">
                            <div class="col-sm-12">
                                <h5 class="mb-0">Рейс: {{ object.name }}</h5>
                                <p>Рейс {{ object.name }}, направлялся {{ object.date_at }} из {{ object.arrival.country_from }} в {{ object.arrival.country_to }}</p>
                            </div>
                            </div>
                            <div class="row">
                            <div class="col-lg-12">
                                <div class="table-responsive-sm">
                                    <p>Список пассажиров</p>
                                    <table class="table">
                                        <thead>
                                        <tr>
                                            <th scope="col">ФИО</th>
                                            <th scope="col">ИИН</th>
                                            <th scope="col">Паспорт</th>
                                            <th scope="col">Пол</th>
                                            <th scope="col">Дата рождения</th>
                                            <th scope="col">Возраст</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                            {% for patient in object.patients.all %}
                                            <tr>
                                                <td><a href="{{ patient.get_absolute_url }}">{{ patient.person.full_name }}</a></td>
                                                <td>{{ patient.person.iin }}</td>
                                                <td>{{ patient.person.passport }}</td>
                                                <td>{{ patient.person.get_gender_display }}</td>
                                                <td>{{ patient.person.birth_date }}</td>
                                                <td>{{ patient.person.age }}</td>
                                            </tr>
                                            {% endfor %}
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {% include 'footer.html' %}
    </div>
</div>
{% endblock main %}